# industry_type.h File Reference

Types related to the industry. More...

Go to the source code of this file.

## Typedefs
typedef uint16 | IndustryID
typedef uint16 | IndustryGfx
typedef uint8 | IndustryType
## Enumerations
enum | { NEW_INDUSTRYOFFSET = 37, NUM_INDUSTRYTYPES = 64, INDUSTRYTILE_NOANIM = 0xFF, NEW_INDUSTRYTILEOFFSET = 175, INVALID_INDUSTRYTYPE = NUM_INDUSTRYTYPES, NUM_INDUSTRYTILES = 512, INVALID_INDUSTRYTILE = NUM_INDUSTRYTILES, INDUSTRY_COMPLETED = 3 }
## Variables
static const IndustryID | INVALID_INDUSTRY = 0xFFFF

## Detailed Description

Types related to the industry.

Definition in file industry_type.h.

## Enumeration Type Documentation

anonymous enum

Enumerator:

  NEW_INDUSTRYOFFSET | original number of industries
  NUM_INDUSTRYTYPES | total number of industries, new and old
  INDUSTRYTILE_NOANIM | flag to mark industry tiles as having no animation
  NEW_INDUSTRYTILEOFFSET | original number of tiles
  INVALID_INDUSTRYTYPE | one above amount is considered invalid
  NUM_INDUSTRYTILES | total number of industry tiles, new and old
  INVALID_INDUSTRYTILE | one above amount is considered invalid
  INDUSTRY_COMPLETED | final stage of industry construction.

Definition at line 25 of file industry_type.h.